package com.bonus.zlpt.equip.service;

import java.util.List;


import com.bonus.zlpt.equip.api.domain.UpOff;
import com.bonus.zlpt.equip.api.domain.dto.UpOffDto;
import com.bonus.zlpt.equip.api.domain.vo.MaDevInfoVo;

/**
 * 设备上下架管理
Service接口
 * 
 * @author xsheng
 * @date 2023-12-02
 */
public interface IUpOffService 
{
    /**
     * 查询设备上下架管理

     * 
     * @param id 设备上下架管理
主键
     * @return 设备上下架管理

     */
    public UpOff selectUpOffById(Long id);

    /**
     * 查询设备上下架管理
列表
     * 
     * @param upOff 设备上下架管理

     * @return 设备上下架管理
集合
     */
    public List<UpOff> selectUpOffList(UpOff upOff);

    /**
     * 新增设备上下架管理

     * 
     * @param upOffList 设备上下架管理

     * @return 结果
     */
    public int insertUpOff(List<UpOff> upOffList);

    /**
     * 修改设备上下架管理

     * 
     * @param upOff 设备上下架管理

     * @return 结果
     */
    public int updateUpOff(UpOff upOff);

    /**
     * 批量删除设备上下架管理

     * 
     * @param ids 需要删除的设备上下架管理
主键集合
     * @return 结果
     */
    public int deleteUpOffByIds(Long[] ids);

    /**
     * 删除设备上下架管理
信息
     * 
     * @param id 设备上下架管理
主键
     * @return 结果
     */
    public int deleteUpOffById(Long id);

    /**
     * 查询装备上架请求信息
     * @param upOffDto
     * @return
     */
    List<MaDevInfoVo> selectList(UpOffDto upOffDto);

    List<MaDevInfoVo> selectInfo(List<Long> ids);

    int UpdateUpOffLIst(List<UpOff> upOffList);
}
